View Issue Details

IDProjectCategoryView StatusLast Update
0006619Talerbank (demonstrator)public2020-11-16 16:24
ReporterFlorian Dold Assigned ToMS  
PriorityurgentSeveritymajorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Versiongit (master) 
Target Version0.8.1 
Summary0006619: bank APIs should return response with 'Access-Control-Allow-Origin: *' header
Description... otherwise browser wallets will have a hard time accessing those APIs.

In particular, error messages from the API should also include this header. Thus the error handling middleware has to be potentially adjusted as well.
TagsNo tags attached.

Activities

MS

2020-10-08 14:56

manager   ~0017002

Fixed here: 7d3fc76b7e18c228add147a4cf954aaa6dd31a36.

Florian Dold

2020-10-08 15:16

manager   ~0017003

Reopening until the header is only applied to *API* responses. Applying this to all response (also the one for browsers, where we use cookie auth) would be a security issue.

Christian Grothoff

2020-10-22 12:08

manager   ~0017035

MS: can you please prioritize this? Or do you need more info?

MS

2020-11-02 18:00

manager   ~0017083

This was addressed a while ago. Requesting feedback from wallet makers.

Florian Dold

2020-11-16 16:24

manager   ~0017144

Looks good to me now.

Issue History

Date Modified Username Field Change
2020-10-07 15:01 Florian Dold New Issue
2020-10-07 15:01 Florian Dold Status new => assigned
2020-10-07 15:01 Florian Dold Assigned To => MS
2020-10-08 14:56 MS Note Added: 0017002
2020-10-08 14:56 MS Status assigned => resolved
2020-10-08 14:56 MS Resolution open => fixed
2020-10-08 15:16 Florian Dold Status resolved => assigned
2020-10-08 15:16 Florian Dold Note Added: 0017003
2020-10-11 20:57 Christian Grothoff Priority normal => urgent
2020-10-11 20:57 Christian Grothoff Severity minor => major
2020-10-22 12:08 Christian Grothoff Note Added: 0017035
2020-10-31 10:31 Christian Grothoff Product Version => git (master)
2020-11-02 18:00 MS Status assigned => feedback
2020-11-02 18:00 MS Note Added: 0017083
2020-11-16 16:24 Florian Dold Status feedback => resolved
2020-11-16 16:24 Florian Dold Note Added: 0017144